MediaWiki:Tables.css: Difference between revisions

From Honkai: Nexus Anima Wiki
Jump to navigation Jump to search
Kuhlau (talk | contribs)
update for skin
Kuhlau (talk | contribs)
No edit summary
 
(One intermediate revision by the same user not shown)
Line 23: Line 23:
}
}


.page-content :is(.article-table, .wikitable, .fandom-table) {
.mw-parser-output :is(.article-table, .wikitable, .fandom-table) {
margin: 1em 0;
margin: 1em 0;
}
.mw-parser-output .article-table {
border-collapse: collapse;
}
}


Line 628: Line 632:


/** For [[Archon Quests]] Character Appearances **/
/** For [[Archon Quests]] Character Appearances **/
.page-content .appearances-table > * > tr > :is(th, td) {
.mw-parser-output .appearances-table > * > tr > :is(th, td) {
padding-top: 0;
padding-top: 0;
padding-bottom: 0;
padding-bottom: 0;
}
}


.page-content .appearances-table tr:not(:first-child):not(:nth-child(2)) th:not(:nth-child(1)) {
.mw-parser-output .appearances-table tr:not(:first-child):not(:nth-child(2)) th:not(:nth-child(1)) {
border: solid 1px var(--theme-border-color);
border: solid 1px var(--theme-border-color);
}
}


/** zero padding table cell and header **/
/** zero padding table cell and header **/
.page-content table.p-0 td,
.mw-parser-output table.p-0 td,
.page-content table.p-0 th {
.mw-parser-output table.p-0 th {
padding: 0;
padding: 0;
}
}


/** zero margin cell and header **/
/** zero margin cell and header **/
.page-content table.m-0 td,
.mw-parser-output table.m-0 td,
.page-content table.m-0 th {
.mw-parser-output table.m-0 th {
margin: 0;
margin: 0;
}
}

Latest revision as of 03:05, 14 July 2026

:root :is(.wgl-lightmode, .wgl-theme-light) {
	--theme-vo-pill-background-color: rgba(0, 0, 0, .1);
}
:root :is(.wgl-darkmode, .wgl-theme-dark) {
	--theme-vo-pill-background-color: rgba(255, 255, 255, .1);
}

/* table header and cell alignment */
:is(.skin-vector-legacy, .skin-minerva) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th) {
	text-align: inherit;
	padding: 0.2em 0.4em;
}

/* allow cell-specific align override */
:is(.skin-vector-legacy, .skin-minerva) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th).align-center {
	text-align: center;
}
:is(.skin-vector-legacy, .skin-minerva) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th).align-left {
	text-align: left;
}
:is(.skin-vector-legacy, .skin-minerva) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th).align-right {
	text-align: right;
}

.mw-parser-output :is(.article-table, .wikitable, .fandom-table) {
	margin: 1em 0;
}

.mw-parser-output .article-table {
	border-collapse: collapse;
}

/* collapsible button in tables */
:is(.wikitable, .article-table, .fandom-table) .mw-collapsible-toggle {
	width: 5em;
	width: auto;
	width: fit-content;
}

/* collapsible button at caption on top of table */
:is(.wikitable, .article-table, .fandom-table) caption .mw-collapsible-toggle {
	float: left !important;
}
/* Reducing left margin when using lists in a table. See [[Abyss_Mages]] */
.mw-parser-output td > .columntemplate > :is(ul, ol),
.mw-parser-output td > :is(ul, ol) {
	margin-left: 1em;
}

/* Prevent fandom-table header from being covered */
.fandom-table .fixed-header {
	z-index: 9;
}

/* New table styling */
.article-table,
.wikitable,
.fandom-table,
.wikitable.filehistory {
	border-radius: 4px;
	overflow: hidden;
	outline: 1px solid var(--theme-border-color);
	outline-offset: -1px;
}

.wikitable,
.wikitable td,
.wikitable th,
.wikitable tr,
.fandom-table,
.fandom-table td,
.fandom-table th,
.fandom-table tr {
	border: 1px solid var(--theme-border-color);
}

/* remove left and right td and th border if both article-table and fandom-table used */
.fandom-table.article-table tr td,
.fandom-table.article-table tr th {
	border: 1px solid var(--theme-border-color);
	border-left: 0;
	border-right: 0;
}

.fandom-table.article-table tr td,
.fandom-table.article-table tr th {
	border: 1px solid var(--theme-border-color);
	border-left: 0;
	border-right: 0;
}

/* tr styling */
.article-table tr:last-child,
.wikitable tr:last-child,
.fandom-table tr:last-child,
.wikitable.filehistory tr:last-child {
	border-radius: 0 0 4px 4px;
	overflow: hidden;
}

/* th styling */
.wikitable th,
.fandom-table th,
.wikitable.filehistory th {
	font-weight: bold;
	border: 1px solid var(--theme-border-color);
	line-height: 20px;
	padding: 10px;
}

.wikitable th hr,
.fandom-table th hr,
.wikitable.filehistory th hr {
	border: 1px solid var(--theme-border-color);
}

.wikitable tr th:last-child,
.fandom-table:not(.article-table) tr th:last-child,
.wikitable.filehistory tr th:last-child {
	border: 1px solid var(--theme-border-color);
}

/* td styling */
.wikitable td,
.wikitable td,
.wikitable.filehistory td {
	padding: 5px 10px;
	border: 1px solid var(--theme-border-color);
}

.wikitable td:last-child,
.fandom-table:not(.article-table) td:last-child,
.wikitable.filehistory td:last-child {
	border: 1px solid var(--theme-border-color);
}

/* light mode colors */
body:is(.wgl-lightmode, .wgl-theme-light) {
	/* force background color on wikitables */
	.mw-datatable > :is(tbody, thead) > tr > th,
	.mw-datatable > tr > th,
	.mw-json > :is(tbody, thead) > tr > th,
	.mw-json > tr > th,
	.wikitable > :is(tbody, thead) > tr > th,
	.wikitable > tr > th {
		background-color: var(--theme-color-6);
	}

	/* th colors */
	.article-table th,
	.wikitable th,
	.fandom-table th,
	.wikitable.filehistory th {
		background-color: var(--theme-color-6);
	}

	/* td colors */
	.alternating-colors-table tr:nth-child(odd) {
		background-color: var(--theme-color-10) !important;
	}

	.sortable.alternating-colors-table tr:nth-child(odd) {
		background-color: var(--theme-color-9) !important;
	}

	.alternating-colors-table tr:nth-child(even) {
		background-color: var(--theme-color-9) !important;
	}

	.sortable.alternating-colors-table tr:nth-child(even) {
		background-color: var(--theme-color-10) !important;
	}

	/* ascension and stats */
	.wikitable.ascension-stats th {
		background-color: var(--theme-color-6);
	}

	.wikitable.ascension-stats tr.alternating1 {
		background-color: var(--theme-color-9);
	}

	.wikitable.ascension-stats tr.alternating2 {
		background-color: var(--theme-color-10);
	}

	.wikitable.ascension-stats tr.ascension {
		background-color: var(--theme-color-8);
	}
}

/* dark mode colors */
body:is(.wgl-darkmode, .wgl-theme-dark) {
	/* force background color on wikitables */
	.mw-datatable > :is(tbody, thead) > tr > th,
	.mw-datatable > tr > th,
	.mw-json > :is(tbody, thead) > tr > th,
	.mw-json > tr > th,
	.wikitable > :is(tbody, thead) > tr > th,
	.wikitable > tr > th {
		background-color: var(--theme-color-8);
	}

	/* th colors */
	.article-table th,
	.wikitable th,
	.fandom-table th,
	.wikitable.filehistory th {
		background-color: var(--theme-color-8);
	}

	/* td colors */
	.alternating-colors-table tr:nth-child(odd) {
		background-color: var(--theme-color-3) !important;
	}

	.sortable.alternating-colors-table tr:nth-child(odd) {
		background-color: var(--theme-color-4) !important;
	}

	.alternating-colors-table tr:nth-child(even) {
		background-color: var(--theme-color-4) !important;
	}

	.sortable.alternating-colors-table tr:nth-child(even) {
		background-color: var(--theme-color-3) !important;
	}

	/* ascension and stats */
	.wikitable.ascension-stats th {
		background-color: var(--theme-color-8);
	}

	.wikitable.ascension-stats tr.alternating1 {
		background-color: var(--theme-color-3);
	}

	.wikitable.ascension-stats tr.alternating2 {
		background-color: var(--theme-color-4);
	}

	.wikitable.ascension-stats tr.ascension {
		background-color: var(--theme-color-6);
	}
}

/*======================================================*/
/* Styles that can be added to an entire table itself   */
/* to apply to each cell in the respective column.      */
/* Removes the need to apply styles to individual cells.*/
/*======================================================*/
#content .mw-parser-output {
	.tdl td,
	.tdl1 td:nth-child(1),
	.tdl2 td:nth-child(2),
	.tdl3 td:nth-child(3),
	.tdl4 td:nth-child(4),
	.tdl5 td:nth-child(5),
	.tdl6 td:nth-child(6),
	.tdl7 td:nth-child(7),
	.tdl8 td:nth-child(8),
	.tdl9 td:nth-child(9),
	.tdl10 td:nth-child(10),
	.tdl11 td:nth-child(11),
	.tdl12 td:nth-child(12),
	.tdl13 td:nth-child(13),
	.tdl14 td:nth-child(14),
	.tdl15 td:nth-child(15),
	.tdl16 td:nth-child(16),
	.tdl17 td:nth-child(17),
	.tdl18 td:nth-child(18),
	.tdl19 td:nth-child(19),
	.tdl20 td:nth-child(20) {
		text-align: left;
	}

	.thl th,
	.thl1 th:nth-child(1),
	.thl2 th:nth-child(2),
	.thl3 th:nth-child(3),
	.thl4 th:nth-child(4),
	.thl5 th:nth-child(5),
	.thl6 th:nth-child(6),
	.thl7 th:nth-child(7),
	.thl8 th:nth-child(8),
	.thl9 th:nth-child(9),
	.thl10 th:nth-child(10),
	.thl11 th:nth-child(11),
	.thl12 th:nth-child(12),
	.thl13 th:nth-child(13),
	.thl14 th:nth-child(14),
	.thl15 th:nth-child(15),
	.thl16 th:nth-child(16),
	.thl17 th:nth-child(17),
	.thl18 th:nth-child(18),
	.thl19 th:nth-child(19),
	.thl20 th:nth-child(20) {
		text-align: left;
	}

	.tdc td,
	.tdc1 td:nth-child(1),
	.tdc2 td:nth-child(2),
	.tdc3 td:nth-child(3),
	.tdc4 td:nth-child(4),
	.tdc5 td:nth-child(5),
	.tdc6 td:nth-child(6),
	.tdc7 td:nth-child(7),
	.tdc8 td:nth-child(8),
	.tdc9 td:nth-child(9),
	.tdc10 td:nth-child(10),
	.tdc11 td:nth-child(11),
	.tdc12 td:nth-child(12),
	.tdc13 td:nth-child(13),
	.tdc14 td:nth-child(14),
	.tdc15 td:nth-child(15),
	.tdc16 td:nth-child(16),
	.tdc17 td:nth-child(17),
	.tdc18 td:nth-child(18),
	.tdc19 td:nth-child(19),
	.tdc20 td:nth-child(20) {
		text-align: center;
	}

	.thc th,
	.thc1 th:nth-child(1),
	.thc2 th:nth-child(2),
	.thc3 th:nth-child(3),
	.thc4 th:nth-child(4),
	.thc5 th:nth-child(5),
	.thc6 th:nth-child(6),
	.thc7 th:nth-child(7),
	.thc8 th:nth-child(8),
	.thc9 th:nth-child(9),
	.thc10 th:nth-child(10),
	.thc11 th:nth-child(11),
	.thc12 th:nth-child(12),
	.thc13 th:nth-child(13),
	.thc14 th:nth-child(14),
	.thc15 th:nth-child(15),
	.thc16 th:nth-child(16),
	.thc17 th:nth-child(17),
	.thc18 th:nth-child(18),
	.thc19 th:nth-child(19),
	.thc20 th:nth-child(20) {
		text-align: center;
	}

	.tdr td,
	.tdr1 td:nth-child(1),
	.tdr2 td:nth-child(2),
	.tdr3 td:nth-child(3),
	.tdr4 td:nth-child(4),
	.tdr5 td:nth-child(5),
	.tdr6 td:nth-child(6),
	.tdr7 td:nth-child(7),
	.tdr8 td:nth-child(8),
	.tdr9 td:nth-child(9),
	.tdr10 td:nth-child(10),
	.tdr11 td:nth-child(11),
	.tdr12 td:nth-child(12),
	.tdr13 td:nth-child(13),
	.tdr14 td:nth-child(14),
	.tdr15 td:nth-child(15),
	.tdr16 td:nth-child(16),
	.tdr17 td:nth-child(17),
	.tdr18 td:nth-child(18),
	.tdr19 td:nth-child(19),
	.tdr20 td:nth-child(20) {
		text-align: right;
	}

	.thr th,
	.thr1 th:nth-child(1),
	.thr2 th:nth-child(2),
	.thr3 th:nth-child(3),
	.thr4 th:nth-child(4),
	.thr5 th:nth-child(5),
	.thr6 th:nth-child(6),
	.thr7 th:nth-child(7),
	.thr8 th:nth-child(8),
	.thr9 th:nth-child(9),
	.thr10 th:nth-child(10),
	.thr11 th:nth-child(11),
	.thr12 th:nth-child(12),
	.thr13 th:nth-child(13),
	.thr14 th:nth-child(14),
	.thr15 th:nth-child(15),
	.thr16 th:nth-child(16),
	.thr17 th:nth-child(17),
	.thr18 th:nth-child(18),
	.thr19 th:nth-child(19),
	.thr20 th:nth-child(20) {
		text-align: right;
	}

	.tdt td,
	.tdt1 td:nth-child(1),
	.tdt2 td:nth-child(2),
	.tdt3 td:nth-child(3),
	.tdt4 td:nth-child(4),
	.tdt5 td:nth-child(5),
	.tdt6 td:nth-child(6),
	.tdt7 td:nth-child(7),
	.tdt8 td:nth-child(8),
	.tdt9 td:nth-child(9),
	.tdt10 td:nth-child(10),
	.tdt11 td:nth-child(11),
	.tdt12 td:nth-child(12),
	.tdt13 td:nth-child(13),
	.tdt14 td:nth-child(14),
	.tdt15 td:nth-child(15),
	.tdt16 td:nth-child(16),
	.tdt17 td:nth-child(17),
	.tdt18 td:nth-child(18),
	.tdt19 td:nth-child(19),
	.tdt20 td:nth-child(20) {
		vertical-align: top;
	}

	.tht th,
	.tht1 th:nth-child(1),
	.tht2 th:nth-child(2),
	.tht3 th:nth-child(3),
	.tht4 th:nth-child(4),
	.tht5 th:nth-child(5),
	.tht6 th:nth-child(6),
	.tht7 th:nth-child(7),
	.tht8 th:nth-child(8),
	.tht9 th:nth-child(9),
	.tht10 th:nth-child(10),
	.tht11 th:nth-child(11),
	.tht12 th:nth-child(12),
	.tht13 th:nth-child(13),
	.tht14 th:nth-child(14),
	.tht15 th:nth-child(15),
	.tht16 th:nth-child(16),
	.tht17 th:nth-child(17),
	.tht18 th:nth-child(18),
	.tht19 th:nth-child(19),
	.tht20 th:nth-child(20) {
		vertical-align: top;
	}

	.tdm td,
	.tdm1 td:nth-child(1),
	.tdm2 td:nth-child(2),
	.tdm3 td:nth-child(3),
	.tdm4 td:nth-child(4),
	.tdm5 td:nth-child(5),
	.tdm6 td:nth-child(6),
	.tdm7 td:nth-child(7),
	.tdm8 td:nth-child(8),
	.tdm9 td:nth-child(9),
	.tdm10 td:nth-child(10),
	.tdm11 td:nth-child(11),
	.tdm12 td:nth-child(12),
	.tdm13 td:nth-child(13),
	.tdm14 td:nth-child(14),
	.tdm15 td:nth-child(15),
	.tdm16 td:nth-child(16),
	.tdm17 td:nth-child(17),
	.tdm18 td:nth-child(18),
	.tdm19 td:nth-child(19),
	.tdm20 td:nth-child(20) {
		vertical-align: middle;
	}

	.thm th,
	.thm1 th:nth-child(1),
	.thm2 th:nth-child(2),
	.thm3 th:nth-child(3),
	.thm4 th:nth-child(4),
	.thm5 th:nth-child(5),
	.thm6 th:nth-child(6),
	.thm7 th:nth-child(7),
	.thm8 th:nth-child(8),
	.thm9 th:nth-child(9),
	.thm10 th:nth-child(10),
	.thm11 th:nth-child(11),
	.thm12 th:nth-child(12),
	.thm13 th:nth-child(13),
	.thm14 th:nth-child(14),
	.thm15 th:nth-child(15),
	.thm16 th:nth-child(16),
	.thm17 th:nth-child(17),
	.thm18 th:nth-child(18),
	.thm19 th:nth-child(19),
	.thm20 th:nth-child(20) {
		vertical-align: middle;
	}

	.tdb td,
	.tdb1 td:nth-child(1),
	.tdb2 td:nth-child(2),
	.tdb3 td:nth-child(3),
	.tdb4 td:nth-child(4),
	.tdb5 td:nth-child(5),
	.tdb6 td:nth-child(6),
	.tdb7 td:nth-child(7),
	.tdb8 td:nth-child(8),
	.tdb9 td:nth-child(9),
	.tdb10 td:nth-child(10),
	.tdb11 td:nth-child(11),
	.tdb12 td:nth-child(12),
	.tdb13 td:nth-child(13),
	.tdb14 td:nth-child(14),
	.tdb15 td:nth-child(15),
	.tdb16 td:nth-child(16),
	.tdb17 td:nth-child(17),
	.tdb18 td:nth-child(18),
	.tdb19 td:nth-child(19),
	.tdb20 td:nth-child(20) {
		vertical-align: bottom;
	}

	.thb th,
	.thb1 th:nth-child(1),
	.thb2 th:nth-child(2),
	.thb3 th:nth-child(3),
	.thb4 th:nth-child(4),
	.thb5 th:nth-child(5),
	.thb6 th:nth-child(6),
	.thb7 th:nth-child(7),
	.thb8 th:nth-child(8),
	.thb9 th:nth-child(9),
	.thb10 th:nth-child(10),
	.thb11 th:nth-child(11),
	.thb12 th:nth-child(12),
	.thb13 th:nth-child(13),
	.thb14 th:nth-child(14),
	.thb15 th:nth-child(15),
	.thb16 th:nth-child(16),
	.thb17 th:nth-child(17),
	.thb18 th:nth-child(18),
	.thb19 th:nth-child(19),
	.thb20 th:nth-child(20) {
		vertical-align: bottom;
	}
}

/** Classes for table width **/
.w-5 {width: 5%;}
.w-10 {width: 10%;}
.w-20 {width: 20%;}
.w-25 {width: 25%;}
.w-33 {width: 33%;}
.w-40 {width: 40%;}
.w-50 {width: 50%;}
.w-60 {width: 60%;}
.w-66 {width: 66%;}
.w-75 {width: 75%;}
.w-80 {width: 80%;}
.w-90 {width: 90%;}
.w-95 {width: 95%;}
.w-100 {width: 100%;}

/** For custom Genshin Impact Wiki Collapsible **/
.giw-collapsible.mw-collapsible,
:is(.giw-collapsible, .voice-over-table) .mw-collapsible {
	padding: 0;
	margin: 7px 0;
}

:is(.giw-collapsible, .voice-over-table) .mw-collapsible-toggle {
	padding: 3px;
	border: solid 1px var(--border-color);
	border-radius: 5px;
	float: none;
}

:is(.giw-collapsible, .voice-over-table) .mw-collapsible-toggle .mw-collapsible-text {
	color: var(--theme-link-color)
}

:is(.giw-collapsible, .voice-over-table) :is(.mw-collapsible-toggle-default, .mw-collapsible-toggle-expanded, .mw-collapsible-toggle-collapsed):before,
:is(.giw-collapsible, .voice-over-table) :is(.mw-collapsible-toggle-default, .mw-collapsible-toggle-expanded, .mw-collapsible-toggle-collapsed):after {
	content: "";
	color: var(--theme-link-color)
}

.giw-collapsible.mw-collapsible:not(.mw-made-collapsible):before {
	float: unset;
}

.giw-collapsible.giw-collapsible-clamped {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
	padding: 2px 0;
}

.giw-collapsible.giw-collapsible-clamped.mw-collapsed {
	-webkit-line-clamp: 5;
}

/* Talent Table Infobox Formatting */
.type-talent-details {
	margin: 0;
	width: 100%;
	border-radius: 0;
	float: none;
}

.type-talent-details .pi-data {
	text-align: left;
	background-color: var(--theme-page-background-color);
}

.type-talent-details .pi-group {
	background-color: var(--theme-color-8);
}

.type-talent-details .pi-horizontal-group-item {
	padding: 8px 0;
}

.type-talent-details .pi-font {
	font-size: 14px;
}
/** For [[Template:Enemy Attacks]] **/
.enemy-attack .enemy-attack-header {
	display: block;
	border: solid 1px var(--border-color);
	border-radius: 5px;
	color: var(--border-color);
	padding: 0px 5px;
	margin-top: 7px;
	width: min-content;
}

/** For [[Archon Quests]] Character Appearances **/
.mw-parser-output .appearances-table > * > tr > :is(th, td) {
	padding-top: 0;
	padding-bottom: 0;
}

.mw-parser-output .appearances-table tr:not(:first-child):not(:nth-child(2)) th:not(:nth-child(1)) {
	border: solid 1px var(--theme-border-color);
}

/** zero padding table cell and header **/
.mw-parser-output table.p-0 td,
.mw-parser-output table.p-0 th {
	padding: 0;
}

/** zero margin cell and header **/
.mw-parser-output table.m-0 td,
.mw-parser-output table.m-0 th {
	margin: 0;
}

/** Diagonal middle header line for Template:Diagonal Split Header **/
:is(th, td).split-header {
	background: linear-gradient( to top right,
	var(--theme-page-background-color--secondary) 49.5%,
	var(--theme-border-color) 49.5%,
	var(--theme-border-color) 50.5%,
	var(--theme-page-background-color--secondary) 50.5%);
	line-height: 1;
}

table.nowrap :is(th, td) {
	white-space: nowrap;
}

/** For [[Template:Wish List]] **/
.wish-banners {
	display: flex;
	flex-wrap: wrap;
	gap: 5px;
}

.wish-banners > div {
	text-align: center;
}

.wish-banners > div > a.new:first-child[href*='Special:Upload'] {
	display: inline-block;
	width: 250px;
	height: 141px;
	background-image: url(https://static.wikia.nocookie.net/gensin-impact/images/4/4a/Item_Unknown.png);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	font-size: 0;
}

/** For [[Template:Wishes by Category Table]] **/
.wishes-by-category-table td:first-child > a.new:first-child[href*='Special:Upload'] {
	display: inline-block;
	width: 200px;
	height: 113px;
	background-image: url(https://static.wikia.nocookie.net/gensin-impact/images/4/4a/Item_Unknown.png);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	font-size: 0;
}

/** For [[Template:Wish Pool]] **/
.wish-pool-table {
	width: 100%;
}

.wish-pool-table tr:first-child th:first-child {
	width: 7.5rem;
}

/* Horizontal sticky of first column in table */
.sticky-table tr > th:first-child {
	position: -webkit-sticky;
	position: sticky;
	display: table-cell;
	left: 0;
	z-index: 9;
}

/* Fix FandomMobile forcing display:block on tables */
@media (max-width: 639px) { .mw-parser-output table {display:table;} }

/* Sortable icon fixes (high specifity required to override) */
:root .mediawiki .jquery-tablesorter {
	.headerSort {
		padding-right: 12px;
		&:before, &:after {
			margin-right: 2px;
			right: 0 !important;
		}
		&.table-progress-tracking-header {
			padding-left: 4px;
			.header_icon svg {width: 14px;}
		}
	}
}

/* Fix tracking column in mobile */
.skin-minerva .table-progress-tracking-header {
	width: 34px;
	.header_icon p {width: min-content; justify-content: center;}
}

/* Pill format for VO requirements */
.voice-over-table tr:not(:first-child) th:first-child {
	> span[lang] {
		font-size: larger;
		display: block;
	}
	> hr ~ div {
		font-weight: normal;
		display: flex;
		gap: 5px;
		flex-wrap: wrap;
		> small {
			padding: 4px 6px 4px 4px;
			background-color: var(--theme-vo-pill-background-color);
			border-radius: 3px;
			display: inline-flex;
			gap: 3px;
			align-items: center;
		}
	}
}